<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <!-- The above 3 meta tags *must* come first in the head; any other head content must come *after* these tags -->

    <title>task-manager-client: UserEndpoint</title>

    <!-- Mobile viewport optimized: j.mp/bplateviewport -->
    <meta name="viewport" content="width=device-width, initial-scale=1.0">

    <!-- Bootstrap core CSS -->
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/3.4.1/css/bootstrap.min.css">

    <!--custom css for these pages-->
    <link rel="stylesheet" href="css/enunciate.css">

    <!-- HTML5 shim and Respond.js for IE8 support of HTML5 elements and media queries -->
    <!--[if lt IE 9]>
    <script src="https://oss.maxcdn.com/html5shiv/3.7.2/html5shiv.min.js"></script>
    <script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
    <![endif]-->
</head>

<body data-spy="scroll" data-target="#apinav">

<nav class="navbar navbar-inverse navbar-fixed-top">
    <div class="container-fluid">
        <div class="navbar-header">
            <button type="button" class="navbar-toggle collapsed" data-toggle="collapse" data-target="#navbar">
                <span class="sr-only">Toggle navigation</span>
                <span class="icon-bar"></span>
                <span class="icon-bar"></span>
                <span class="icon-bar"></span>
            </button>
            <a class="navbar-brand" href="index.html">task-manager-client: UserEndpoint</a>
        </div>
        <div id="navbar" class="navbar-collapse collapse">
            <ul class="nav navbar-nav navbar-right">
                <li><a href="services.html">Services</a></li>
                <li><a href="data.html">Data Types</a></li>
                <li><a href="downloads.html">Files and Libraries</a></li>
            </ul>
        </div>
    </div>
</nav>

<div class="container-fluid">
    <div class="row">
        <div class="col-sm-3 col-md-2 sidebar" id="apinav">
            <ul class="nav nav-sidebar">
                <li><a href="#service_ns0_UserEndpointService_method_removeUser"><abbr title="removeUser"
                                                                                       class="side-abbr"><span
                        class="sideoverflow">removeUser</span></abbr></a></li>
                <li><a href="#service_ns0_UserEndpointService_method_updateUserPassword"><abbr
                        title="updateUserPassword" class="side-abbr"><span
                        class="sideoverflow">updateUserPassword</span></abbr></a></li>
                <li><a href="#service_ns0_UserEndpointService_method_updateUserLastName"><abbr
                        title="updateUserLastName" class="side-abbr"><span
                        class="sideoverflow">updateUserLastName</span></abbr></a></li>
                <li><a href="#service_ns0_UserEndpointService_method_createWithThreeParamUser"><abbr
                        title="createWithThreeParamUser" class="side-abbr"><span class="sideoverflow">createWithThreeParamUser</span></abbr></a>
                </li>
                <li><a href="#service_ns0_UserEndpointService_method_updateUserEmail"><abbr title="updateUserEmail"
                                                                                            class="side-abbr"><span
                        class="sideoverflow">updateUserEmail</span></abbr></a></li>
                <li><a href="#service_ns0_UserEndpointService_method_updateUserFirstName"><abbr
                        title="updateUserFirstName" class="side-abbr"><span
                        class="sideoverflow">updateUserFirstName</span></abbr></a></li>
                <li><a href="#service_ns0_UserEndpointService_method_findUserById"><abbr title="findUserById"
                                                                                         class="side-abbr"><span
                        class="sideoverflow">findUserById</span></abbr></a></li>
                <li><a href="#service_ns0_UserEndpointService_method_createWithFourParamUser"><abbr
                        title="createWithFourParamUser" class="side-abbr"><span class="sideoverflow">createWithFourParamUser</span></abbr></a>
                </li>
                <li><a href="#service_ns0_UserEndpointService_method_updateUserMiddleName"><abbr
                        title="updateUserMiddleName" class="side-abbr"><span
                        class="sideoverflow">updateUserMiddleName</span></abbr></a></li>
                <li class="divider"></li>
                <li class="text-right"><a href="#top"><small>Back to Top</small></a></li>
            </ul>
        </div>

        <div class="col-sm-9 col-sm-offset-3 col-md-10 col-md-offset-2 main">
            <ol class="breadcrumb" id="top">
                <li class="active dropdown"><a href="index.html">Home</a></li>
                <li class="dropdown"><a href="service_ns0_UserEndpointService.html">UserEndpoint</a></li>
            </ol>

            <h1 class="page-header">UserEndpoint <small>Service</small></h1>

            <p>This class was generated by Apache CXF 3.2.7
                2021-02-08T14:05:36.905+03:00
                Generated source version: 3.2.7</p>

            <dl class="dl-horizontal">
                <dt>Namespace</dt>
                <dd>http://endpoint.tm.amster.ru/</dd>
                <dt>WSDL</dt>
                <dd><a href="ns0.wsdl">ns0.wsdl</a></dd>
                <dt>Path</dt>
                <dd><a href="../../UserEndpointService">/UserEndpointService</a></dd>
            </dl>

            <h2 id="service_ns0_UserEndpointService_method_removeUser">removeUser <small>Operation</small></h2>

            <p></p>

            <table class="table service-input-parameters">
                <caption>Input Parameters</caption>
                <thead>
                <tr>
                    <th>name</th>
                    <th>type</th>
                    <th>description</th>
                </tr>
                </thead>
                <tbody>
                <tr>
                    <td><span class="parameter-name">session (arg0)</span></td>
                    <td><span class="datatype-reference"><a href="xml_ns0_session.html">session</a>
</span></td>
                    <td><span class="parameter-description">&nbsp;</span></td>
                </tr>
                </tbody>
            </table>

            <h2 id="service_ns0_UserEndpointService_method_updateUserPassword">updateUserPassword
                <small>Operation</small></h2>

            <p></p>

            <table class="table service-input-parameters">
                <caption>Input Parameters</caption>
                <thead>
                <tr>
                    <th>name</th>
                    <th>type</th>
                    <th>description</th>
                </tr>
                </thead>
                <tbody>
                <tr>
                    <td><span class="parameter-name">session (arg0)</span></td>
                    <td><span class="datatype-reference"><a href="xml_ns0_session.html">session</a>
</span></td>
                    <td><span class="parameter-description">&nbsp;</span></td>
                </tr>
                <tr>
                    <td><span class="parameter-name">password (arg1)</span></td>
                    <td><span class="datatype-reference">string
</span></td>
                    <td><span class="parameter-description">&nbsp;</span></td>
                </tr>
                </tbody>
            </table>

            <table class="table service-return-value">
                <caption>Return Value</caption>
                <thead>
                <tr>
                    <th>type</th>
                    <th>description</th>
                </tr>
                </thead>
                <tbody>
                <tr>
                    <td><a href="xml_ns0_user.html">user</a>
                    </td>
                    <td><span class="return-description">&nbsp;</span></td>
                </tr>
                </tbody>
            </table>

            <h2 id="service_ns0_UserEndpointService_method_updateUserLastName">updateUserLastName
                <small>Operation</small></h2>

            <p></p>

            <table class="table service-input-parameters">
                <caption>Input Parameters</caption>
                <thead>
                <tr>
                    <th>name</th>
                    <th>type</th>
                    <th>description</th>
                </tr>
                </thead>
                <tbody>
                <tr>
                    <td><span class="parameter-name">session (arg0)</span></td>
                    <td><span class="datatype-reference"><a href="xml_ns0_session.html">session</a>
</span></td>
                    <td><span class="parameter-description">&nbsp;</span></td>
                </tr>
                <tr>
                    <td><span class="parameter-name">lastName (arg1)</span></td>
                    <td><span class="datatype-reference">string
</span></td>
                    <td><span class="parameter-description">&nbsp;</span></td>
                </tr>
                </tbody>
            </table>

            <table class="table service-return-value">
                <caption>Return Value</caption>
                <thead>
                <tr>
                    <th>type</th>
                    <th>description</th>
                </tr>
                </thead>
                <tbody>
                <tr>
                    <td><a href="xml_ns0_user.html">user</a>
                    </td>
                    <td><span class="return-description">&nbsp;</span></td>
                </tr>
                </tbody>
            </table>

            <h2 id="service_ns0_UserEndpointService_method_createWithThreeParamUser">createWithThreeParamUser <small>Operation</small>
            </h2>

            <p></p>

            <table class="table service-input-parameters">
                <caption>Input Parameters</caption>
                <thead>
                <tr>
                    <th>name</th>
                    <th>type</th>
                    <th>description</th>
                </tr>
                </thead>
                <tbody>
                <tr>
                    <td><span class="parameter-name">log (arg0)</span></td>
                    <td><span class="datatype-reference">string
</span></td>
                    <td><span class="parameter-description">&nbsp;</span></td>
                </tr>
                <tr>
                    <td><span class="parameter-name">password (arg1)</span></td>
                    <td><span class="datatype-reference">string
</span></td>
                    <td><span class="parameter-description">&nbsp;</span></td>
                </tr>
                <tr>
                    <td><span class="parameter-name">role (arg2)</span></td>
                    <td><span class="datatype-reference"><a href="xml_ns0_role.html">role</a>
</span></td>
                    <td><span class="parameter-description">&nbsp;</span></td>
                </tr>
                </tbody>
            </table>

            <h2 id="service_ns0_UserEndpointService_method_updateUserEmail">updateUserEmail <small>Operation</small>
            </h2>

            <p></p>

            <table class="table service-input-parameters">
                <caption>Input Parameters</caption>
                <thead>
                <tr>
                    <th>name</th>
                    <th>type</th>
                    <th>description</th>
                </tr>
                </thead>
                <tbody>
                <tr>
                    <td><span class="parameter-name">session (arg0)</span></td>
                    <td><span class="datatype-reference"><a href="xml_ns0_session.html">session</a>
</span></td>
                    <td><span class="parameter-description">&nbsp;</span></td>
                </tr>
                <tr>
                    <td><span class="parameter-name">email (arg1)</span></td>
                    <td><span class="datatype-reference">string
</span></td>
                    <td><span class="parameter-description">&nbsp;</span></td>
                </tr>
                </tbody>
            </table>

            <table class="table service-return-value">
                <caption>Return Value</caption>
                <thead>
                <tr>
                    <th>type</th>
                    <th>description</th>
                </tr>
                </thead>
                <tbody>
                <tr>
                    <td><a href="xml_ns0_user.html">user</a>
                    </td>
                    <td><span class="return-description">&nbsp;</span></td>
                </tr>
                </tbody>
            </table>

            <h2 id="service_ns0_UserEndpointService_method_updateUserFirstName">updateUserFirstName
                <small>Operation</small></h2>

            <p></p>

            <table class="table service-input-parameters">
                <caption>Input Parameters</caption>
                <thead>
                <tr>
                    <th>name</th>
                    <th>type</th>
                    <th>description</th>
                </tr>
                </thead>
                <tbody>
                <tr>
                    <td><span class="parameter-name">session (arg0)</span></td>
                    <td><span class="datatype-reference"><a href="xml_ns0_session.html">session</a>
</span></td>
                    <td><span class="parameter-description">&nbsp;</span></td>
                </tr>
                <tr>
                    <td><span class="parameter-name">firstName (arg1)</span></td>
                    <td><span class="datatype-reference">string
</span></td>
                    <td><span class="parameter-description">&nbsp;</span></td>
                </tr>
                </tbody>
            </table>

            <table class="table service-return-value">
                <caption>Return Value</caption>
                <thead>
                <tr>
                    <th>type</th>
                    <th>description</th>
                </tr>
                </thead>
                <tbody>
                <tr>
                    <td><a href="xml_ns0_user.html">user</a>
                    </td>
                    <td><span class="return-description">&nbsp;</span></td>
                </tr>
                </tbody>
            </table>

            <h2 id="service_ns0_UserEndpointService_method_findUserById">findUserById <small>Operation</small></h2>

            <p></p>

            <table class="table service-input-parameters">
                <caption>Input Parameters</caption>
                <thead>
                <tr>
                    <th>name</th>
                    <th>type</th>
                    <th>description</th>
                </tr>
                </thead>
                <tbody>
                <tr>
                    <td><span class="parameter-name">session (arg0)</span></td>
                    <td><span class="datatype-reference"><a href="xml_ns0_session.html">session</a>
</span></td>
                    <td><span class="parameter-description">&nbsp;</span></td>
                </tr>
                <tr>
                    <td><span class="parameter-name">id (arg1)</span></td>
                    <td><span class="datatype-reference">string
</span></td>
                    <td><span class="parameter-description">&nbsp;</span></td>
                </tr>
                </tbody>
            </table>

            <table class="table service-return-value">
                <caption>Return Value</caption>
                <thead>
                <tr>
                    <th>type</th>
                    <th>description</th>
                </tr>
                </thead>
                <tbody>
                <tr>
                    <td><a href="xml_ns0_user.html">user</a>
                    </td>
                    <td><span class="return-description">&nbsp;</span></td>
                </tr>
                </tbody>
            </table>

            <h2 id="service_ns0_UserEndpointService_method_createWithFourParamUser">createWithFourParamUser <small>Operation</small>
            </h2>

            <p></p>

            <table class="table service-input-parameters">
                <caption>Input Parameters</caption>
                <thead>
                <tr>
                    <th>name</th>
                    <th>type</th>
                    <th>description</th>
                </tr>
                </thead>
                <tbody>
                <tr>
                    <td><span class="parameter-name">log (arg0)</span></td>
                    <td><span class="datatype-reference">string
</span></td>
                    <td><span class="parameter-description">&nbsp;</span></td>
                </tr>
                <tr>
                    <td><span class="parameter-name">password (arg1)</span></td>
                    <td><span class="datatype-reference">string
</span></td>
                    <td><span class="parameter-description">&nbsp;</span></td>
                </tr>
                <tr>
                    <td><span class="parameter-name">email (arg2)</span></td>
                    <td><span class="datatype-reference">string
</span></td>
                    <td><span class="parameter-description">&nbsp;</span></td>
                </tr>
                <tr>
                    <td><span class="parameter-name">role (arg3)</span></td>
                    <td><span class="datatype-reference"><a href="xml_ns0_role.html">role</a>
</span></td>
                    <td><span class="parameter-description">&nbsp;</span></td>
                </tr>
                </tbody>
            </table>

            <h2 id="service_ns0_UserEndpointService_method_updateUserMiddleName">updateUserMiddleName
                <small>Operation</small></h2>

            <p></p>

            <table class="table service-input-parameters">
                <caption>Input Parameters</caption>
                <thead>
                <tr>
                    <th>name</th>
                    <th>type</th>
                    <th>description</th>
                </tr>
                </thead>
                <tbody>
                <tr>
                    <td><span class="parameter-name">session (arg0)</span></td>
                    <td><span class="datatype-reference"><a href="xml_ns0_session.html">session</a>
</span></td>
                    <td><span class="parameter-description">&nbsp;</span></td>
                </tr>
                <tr>
                    <td><span class="parameter-name">middleName (arg1)</span></td>
                    <td><span class="datatype-reference">string
</span></td>
                    <td><span class="parameter-description">&nbsp;</span></td>
                </tr>
                </tbody>
            </table>

            <table class="table service-return-value">
                <caption>Return Value</caption>
                <thead>
                <tr>
                    <th>type</th>
                    <th>description</th>
                </tr>
                </thead>
                <tbody>
                <tr>
                    <td><a href="xml_ns0_user.html">user</a>
                    </td>
                    <td><span class="return-description">&nbsp;</span></td>
                </tr>
                </tbody>
            </table>

            <footer class="footer">
                <div class="container">
                    <p class="text-muted">Generated by <a href="http://enunciate.webcohesion.com">Enunciate</a>.</p>
                </div>
            </footer>

        </div>
    </div>
</div>


<!-- JavaScript placed at the end of the document so the pages load faster. -->
<script src="https://code.jquery.com/jquery-1.12.2.min.js"></script>

<!-- Bootstrap core JavaScript
================================================== -->
<script src="https://stackpath.bootstrapcdn.com/bootstrap/3.4.1/js/bootstrap.min.js"></script>

<!-- prettify code blocks. see http://code.google.com/p/google-code-prettify/ -->
<script src="https://cdn.jsdelivr.net/gh/google/code-prettify@master/loader/run_prettify.js"
        type="text/javascript"></script>
<script>
    $(function() {
      $(".clickable-row").click(function() {
        window.document.location = $(this).data("href");
      });

      $('[data-toggle="tooltip"]').tooltip()
    });

</script>

</body>
</html>
